RemoveCustomDomain
DELETE
/organizations/{org_id}/projects/v1/{project_id}/custom-domainPath Parameters
org_id*org_id
The org_id path parameter.
project_id*project_id
The project_id path parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/project.v1.Project",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Bq4y3QB38S"
],
"title": "id"
},
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"name": {
"type": "string",
"examples": [
"Production"
],
"title": "name"
},
"regions": {
"type": "array",
"items": {
"type": "string"
},
"title": "regions"
},
"video_quality": {
"allOf": [
{
"$ref": "#/components/schemas/common.v1.VideoQuality",
"$ref-value": {
"type": "string",
"title": "VideoQuality",
"enum": [
"VIDEO_QUALITY_UNSPECIFIED",
"VIDEO_QUALITY_BASIC",
"VIDEO_QUALITY_SHORTS",
"VIDEO_QUALITY_PRO"
]
}
}
],
"examples": [
"basic"
],
"title": "video_quality"
},
"custom_domain": {
"type": "string",
"examples": [
"docs.example.com"
],
"title": "custom_domain"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
},
"updated_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "updated_at"
}
},
"title": "Project",
"additionalProperties": false
}
}curl -X DELETE "https://api.rixl.com/organizations/OR98234j23/projects/v1/Bq4y3QB38S/custom-domain"Success
application/json
{
"$ref": "#/components/schemas/project.v1.Project",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Bq4y3QB38S"
],
"title": "id"
},
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"name": {
"type": "string",
"examples": [
"Production"
],
"title": "name"
},
"regions": {
"type": "array",
"items": {
"type": "string"
},
"title": "regions"
},
"video_quality": {
"allOf": [
{
"$ref": "#/components/schemas/common.v1.VideoQuality",
"$ref-value": {
"type": "string",
"title": "VideoQuality",
"enum": [
"VIDEO_QUALITY_UNSPECIFIED",
"VIDEO_QUALITY_BASIC",
"VIDEO_QUALITY_SHORTS",
"VIDEO_QUALITY_PRO"
]
}
}
],
"examples": [
"basic"
],
"title": "video_quality"
},
"custom_domain": {
"type": "string",
"examples": [
"docs.example.com"
],
"title": "custom_domain"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
},
"updated_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "updated_at"
}
},
"title": "Project",
"additionalProperties": false
}
}